Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class ContactLogBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.ContactLogBean

All Implemented Interfaces:
  java.io.Serializable

public class ContactLogBean
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ContactLogBean()`
`ContactLogBean(java.lang.String comments, java.util.Calendar contactDate, java.util.Calendar creationDate, java.lang.String creator, long entityId, java.lang.String entityType, long id, java.util.Calendar lastUpdated, java.lang.String subject, int typeNo)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getComments()` Gets the comments value for this ContactLogBean.
`java.util.Calendar` | `getContactDate()` Gets the contactDate value for this ContactLogBean.
`java.util.Calendar` | `getCreationDate()` Gets the creationDate value for this ContactLogBean.
`java.lang.String` | `getCreator()` Gets the creator value for this ContactLogBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`long` | `getEntityId()` Gets the entityId value for this ContactLogBean.
`java.lang.String` | `getEntityType()` Gets the entityType value for this ContactLogBean.
`long` | `getId()` Gets the id value for this ContactLogBean.
`java.util.Calendar` | `getLastUpdated()` Gets the lastUpdated value for this ContactLogBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.lang.String` | `getSubject()` Gets the subject value for this ContactLogBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `getTypeNo()` Gets the typeNo value for this ContactLogBean.
`int` | `hashCode()`
`void` | `setComments(java.lang.String comments)` Sets the comments value for this ContactLogBean.
`void` | `setContactDate(java.util.Calendar contactDate)` Sets the contactDate value for this ContactLogBean.
`void` | `setCreationDate(java.util.Calendar creationDate)` Sets the creationDate value for this ContactLogBean.
`void` | `setCreator(java.lang.String creator)` Sets the creator value for this ContactLogBean.
`void` | `setEntityId(long entityId)` Sets the entityId value for this ContactLogBean.
`void` | `setEntityType(java.lang.String entityType)` Sets the entityType value for this ContactLogBean.
`void` | `setId(long id)` Sets the id value for this ContactLogBean.
`void` | `setLastUpdated(java.util.Calendar lastUpdated)` Sets the lastUpdated value for this ContactLogBean.
`void` | `setSubject(java.lang.String subject)` Sets the subject value for this ContactLogBean.
`void` | `setTypeNo(int typeNo)` Sets the typeNo value for this ContactLogBean.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactLogBean

    public ContactLogBean()

### ContactLogBean

    public ContactLogBean(java.lang.String comments,
                          java.util.Calendar contactDate,
                          java.util.Calendar creationDate,
                          java.lang.String creator,
                          long entityId,
                          java.lang.String entityType,
                          long id,
                          java.util.Calendar lastUpdated,
                          java.lang.String subject,
                          int typeNo)

Method Detail

### getComments

    public java.lang.String getComments()

  Gets the comments value for this ContactLogBean.

  Returns:
    comments

### setComments

    public void setComments(java.lang.String comments)

  Sets the comments value for this ContactLogBean.

  Parameters:
    `comments` -

### getContactDate

    public java.util.Calendar getContactDate()

  Gets the contactDate value for this ContactLogBean.

  Returns:
    contactDate

### setContactDate

    public void setContactDate(java.util.Calendar contactDate)

  Sets the contactDate value for this ContactLogBean.

  Parameters:
    `contactDate` -

### getCreationDate

    public java.util.Calendar getCreationDate()

  Gets the creationDate value for this ContactLogBean.

  Returns:
    creationDate

### setCreationDate

    public void setCreationDate(java.util.Calendar creationDate)

  Sets the creationDate value for this ContactLogBean.

  Parameters:
    `creationDate` -

### getCreator

    public java.lang.String getCreator()

  Gets the creator value for this ContactLogBean.

  Returns:
    creator

### setCreator

    public void setCreator(java.lang.String creator)

  Sets the creator value for this ContactLogBean.

  Parameters:
    `creator` -

### getEntityId

    public long getEntityId()

  Gets the entityId value for this ContactLogBean.

  Returns:
    entityId

### setEntityId

    public void setEntityId(long entityId)

  Sets the entityId value for this ContactLogBean.

  Parameters:
    `entityId` -

### getEntityType

    public java.lang.String getEntityType()

  Gets the entityType value for this ContactLogBean.

  Returns:
    entityType

### setEntityType

    public void setEntityType(java.lang.String entityType)

  Sets the entityType value for this ContactLogBean.

  Parameters:
    `entityType` -

### getId

    public long getId()

  Gets the id value for this ContactLogBean.

  Returns:
    id

### setId

    public void setId(long id)

  Sets the id value for this ContactLogBean.

  Parameters:
    `id` -

### getLastUpdated

    public java.util.Calendar getLastUpdated()

  Gets the lastUpdated value for this ContactLogBean.

  Returns:
    lastUpdated

### setLastUpdated

    public void setLastUpdated(java.util.Calendar lastUpdated)

  Sets the lastUpdated value for this ContactLogBean.

  Parameters:
    `lastUpdated` -

### getSubject

    public java.lang.String getSubject()

  Gets the subject value for this ContactLogBean.

  Returns:
    subject

### setSubject

    public void setSubject(java.lang.String subject)

  Sets the subject value for this ContactLogBean.

  Parameters:
    `subject` -

### getTypeNo

    public int getTypeNo()

  Gets the typeNo value for this ContactLogBean.

  Returns:
    typeNo

### setTypeNo

    public void setTypeNo(int typeNo)

  Sets the typeNo value for this ContactLogBean.

  Parameters:
    `typeNo` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD